Bug 115628 - [GTK][WK1] Add an empty BatteryClientGtk
: [GTK][WK1] Add an empty BatteryClientGtk
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: New Bugs
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Zan Dobersek
:
Depends on:
Blocks: 95582 125453
  Show dependency treegraph
 
Reported: 2013-05-06 02:26 PDT by Zan Dobersek
Modified: 2013-12-11 08:43 PST (History)
1 user (show)

See Also:


Attachments
Patch (6.63 KB, patch)
2013-05-06 02:34 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff
Patch (6.75 KB, patch)
2013-05-07 03:34 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff
Patch (6.65 KB, patch)
2013-11-06 03:58 PST, Zan Dobersek
no flags Details | Formatted Diff | Diff
Patch (1.72 KB, patch)
2013-12-09 07:40 PST, Zan Dobersek
no flags Details | Formatted Diff | Diff
Patch (6.64 KB, patch)
2013-12-09 08:09 PST, Zan Dobersek
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2013-05-06 02:26:41 PDT
[GTK][WK1] Add an empty BatteryClientGtk
Comment 1 Zan Dobersek 2013-05-06 02:34:59 PDT
Created attachment 200648 [details]
Patch
Comment 2 Zan Dobersek 2013-05-07 03:34:00 PDT
Created attachment 200887 [details]
Patch
Comment 3 Zan Dobersek 2013-05-14 11:08:17 PDT
This is ready for review.

While the introduced BatteryClientGtk is not operational at all, it still isn't actually used until the Battery Status API support is enabled, so this is safe to land even before the feature is enabled.
Comment 4 Zan Dobersek 2013-11-06 03:58:05 PST
Created attachment 216161 [details]
Patch

Rebased patch.
Comment 5 Zan Dobersek 2013-12-09 07:40:17 PST
Created attachment 218762 [details]
Patch

Rebased patch.
Comment 6 Zan Dobersek 2013-12-09 07:41:07 PST
Comment on attachment 218762 [details]
Patch

Not the right patch.
Comment 7 Zan Dobersek 2013-12-09 08:09:04 PST
Created attachment 218763 [details]
Patch

Rebased patch.
Comment 8 Zan Dobersek 2013-12-11 08:43:13 PST
Comment on attachment 218763 [details]
Patch

Clearing flags on attachment: 218763

Committed r160437: <http://trac.webkit.org/changeset/160437>
Comment 9 Zan Dobersek 2013-12-11 08:43:21 PST
All reviewed patches have been landed.  Closing bug.